﻿using HeuristicLab.Analysis;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Analyzers {
  [Item("SymbolicDataAnalysisBottomUpDiversityAnalyzer", "A diversity analyzer based on the bottom-up similarity between trees.")]
  [StorableClass]
  public class SymbolicDataAnalysisBottomUpDiversityAnalyzer : SingleObjectivePopulationDiversityAnalyzer {
    [StorableConstructor]
    protected SymbolicDataAnalysisBottomUpDiversityAnalyzer(bool deserializing) : base(deserializing) { }

    public SymbolicDataAnalysisBottomUpDiversityAnalyzer() {
      SimilarityCalculator = new BottomUpSimilarityCalculator();
    }
  }
}
